Package org.apache.sling.discovery.impl.standalone

## Class TopologyViewImpl

- java.lang.Object
- - org.apache.sling.discovery.impl.standalone.TopologyViewImpl

All Implemented Interfaces:
  `org.apache.sling.discovery.TopologyView`

    public class TopologyViewImpl
    extends Object
    implements org.apache.sling.discovery.TopologyView

### Constructor Summary

Constructors
`TopologyViewImpl​(org.apache.sling.discovery.InstanceDescription myInstance)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<org.apache.sling.discovery.InstanceDescription>` `findInstances​(org.apache.sling.discovery.InstanceFilter picker)`
`Set<org.apache.sling.discovery.ClusterView>` `getClusterViews()`
`Set<org.apache.sling.discovery.InstanceDescription>` `getInstances()`
`org.apache.sling.discovery.InstanceDescription` `getLocalInstance()`
`void` `invalidate()`
`boolean` `isCurrent()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TopologyViewImpl

    public TopologyViewImpl​(org.apache.sling.discovery.InstanceDescription myInstance)

### Method Detail

#### getLocalInstance

    public org.apache.sling.discovery.InstanceDescription getLocalInstance()

Specified by:
  `getLocalInstance` in interface `org.apache.sling.discovery.TopologyView`

#### isCurrent

    public boolean isCurrent()

Specified by:
  `isCurrent` in interface `org.apache.sling.discovery.TopologyView`

#### invalidate

    public void invalidate()

#### getInstances

    public Set<org.apache.sling.discovery.InstanceDescription> getInstances()

Specified by:
  `getInstances` in interface `org.apache.sling.discovery.TopologyView`

#### findInstances

    public Set<org.apache.sling.discovery.InstanceDescription> findInstances​(org.apache.sling.discovery.InstanceFilter picker)

Specified by:
  `findInstances` in interface `org.apache.sling.discovery.TopologyView`

#### getClusterViews

    public Set<org.apache.sling.discovery.ClusterView> getClusterViews()

Specified by:
  `getClusterViews` in interface `org.apache.sling.discovery.TopologyView`